SDL_GetDisplayForWindow(3)

NAME
SDL_GetDisplayForWindow - Get the display associated with a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_DisplayID SDL_GetDisplayForWindow(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
Returns the instance ID of the display containing the center of the window on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetDisplayBounds(3), SDL_GetDisplays(3)